#define TFNF     0x01
#define RFNE     0x10
#define RCMD     0x20
#define DATAPORT sbx_base
#define COMMPORT sbx_base + 2
#define STATPORT sbx_base + 4

#define MAXNODE  251
#define MAXCOUNT  10000
#define MAXSIZE  18

#define BB_RESET_PS 0
#define BB_STATUS_PS 1
#define BB_TEST 2
#define BB_SETVOLT 3
#define BB_SETCURR 4
#define BB_IDENTIFIER 5
#define BB_RELAY 6
#define BB_READ 7
#define BB_ATTENDANCE 8
#define BB_GOTOLOCAL 9
#define BB_NODE_RESET 10
#define MAX_NODE 32

typedef unsigned int WORD;
typedef unsigned char BYTE;
typedef unsigned long DWORD;
void Wait(double seconds);

int KPTMAPC_Init(int addr);
void KPTMAPC_ID(int node,int *type,float *volt,float *curr);
void KPTMAPC_Reset(int node);
void KPTMAPC_TimerTask(void);
void KPTMAPC_Set(int node,int mode,int pol,float volt,float curr);
void KPTMAPC_Output(int node,int mode);
void KPTMAPC_Read(int node,float *volt,float *curr);
void KPTMAPC_Status(int node,WORD *status);
void KPTMAPC_ReadStatus(int node,WORD *status);
void KPTMAPC_Close(void);		

void KPTMAPC_panel(int addr);
void bb_rcv_task(void);
void bb_reset(int mode);
int bb_xmit(BYTE command, BYTE node, WORD param1, WORD param2);
int bitbus_out(BYTE *bbsend);
